Package org.italiangrid.voms.request

# Interface VOMSServerInfo

All Known Implementing Classes:
  `DefaultVOMSServerInfo`

public interface VOMSServerInfo
This interface represents a VOMS server contact information, typically provided in vomses files.

Author:
  Andrea Ceccanti
See Also:
  - `VOMSESLookupStrategy`
  - `VOMSESParser`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlias()`
Returns the alias for this `VOMSServerInfo`.
`URI`
`getURL()`
Returns the URL for this `VOMSServerInfo`.
`String`
`getVOMSServerDN()`
Returns the certificate subject as listed in the VOMSES configuration for this `VOMSServerInfo`
`String`
`getVoName()`
Returns the VO name for this `VOMSServerInfo`.

## Method Details

### getAlias

String getAlias()
Returns the alias for this `VOMSServerInfo`.

Returns:
  the alias

### getVoName

String getVoName()
Returns the VO name for this `VOMSServerInfo`.

Returns:
  the vo name

### getURL

URI getURL()
Returns the URL for this `VOMSServerInfo`.

Returns:
  the contact `URI`

### getVOMSServerDN

String getVOMSServerDN()
Returns the certificate subject as listed in the VOMSES configuration for this `VOMSServerInfo`

Returns:
  a string containing the certificate subject, enconded following the DN openssl slash-separated syntax